------------------------------------------------------------------------------------
-- Addon:         ProGuide - Guide Handler UI                                                 
-- Author:        Claus Gade Pedersen - Satisfyme                                 
-- File:          GuideContentValidateInfo.lua
-- Description:   Holds a list of valid content info to validate a guide
------------------------------------------------------------------------------------
-- Addon version: 10                                              
-- File Revision: 10                                                 
-- Last Edit:     2011-09-12T21:30:43Z                                                 
-- Last Edit By:  satisfyme                                                   
------------------------------------------------------------------------------------
print("Guide Validater loaded")
ProGuide_GuideValidat = {
  ["Required"] = {"Name", "Part"},
  ["Name"] = "string",
  ["Icon"] = "string",
  ["Race"] = "string",
  ["Class"] = "string",
  ["ShowSkillLevel"] = "number",
  ["Part"] = {
    ["Required"] = {"Title", "Step"},
    ["Title"] = "string",
    ["UseBuyList"] = "boolean",
    ["Step"] = {
      ["Skill"] = {
        ["Skill"] = "number",
        ["Level"] = "number",
      },
    },
  },
}