﻿----------------------------------------------------------------------------------
-- Addon:         ProGuide - Guide Handler UI
-- Author:        Claus Gade Pedersen - Satisfyme
-- File:          Language/enUS.lua
-- Description:   English translation.
-- Translated by: Satisfyme
----------------------------------------------------------------------------------
-- Addon version: 10
-- File Revision: 10
-- Last Edit:     2011-09-12T21:30:43Z
-- Last Edit By:  satisfyme
----------------------------------------------------------------------------------

ProGuideLocals = {
  -- Formated strings
  ["%d/%d"]           = "%d/%d",
  ["%s level: %d"]    = "%s level: %d",
  ["Create %s"]       = "Create %s",
  ["ClickToShowMap"]  = "%s\n|cFF00FF00Click to show map.|r",
  ["BuyFrom"]         = "Can be bought from %s\n|cFF00FF00Click to show waypoint to Vendor.|r",
  ["LearnFrom"]       = "Learn from %s\n|cFF00FF00Click to show waypoint to Trainer.|r",
  ["TrainFrom"]       = "Train from %s\n|cFF00FF00Click to show waypoint to Trainer.|r",
  ["Train %s %s"]     = "Train %s %s",
  ["Learn %s%s"]      = "Learn %s%s",
  ["Level %s to %d"]  = "Level %s to %d",
  
  -- Text
  ["Buy List"]                  = "Buy List",
  ["BuyListTooltip"]            = "Shows a list of items needed\nfor this part of the guide",
  ["Create "]                   = "Create ",
  [": Failed guide validater!"] = ": Failed guide validater!",
  [" was not loaded."]          = " was not loaded.",
  ["Get items listed below"]    = "Get items listed below",
  ["Guides"]                    = "Guides",
  ["No Guide Loaded"]           = "No Guide Loaded",
  [" or "]                      = " or ",

  -- Currency
  ["Dalaran Jewelcrafting Token"]      = "Dalaran Jewelcrafting Token",
  ["Dalaran Cooking Award"]            = "Dalaran Cooking Award",
  ["Champion's Seal"]                  = "Champion's Seal",
  ["Illustrious Jewelcrafter's Token"] = "Illustrious Jewelcrafter's Token",
  ["Conquest Points"]                  = "Conquest Points",
  ["Tol Barad Commendation"]           = "Tol Barad Commendation",
  ["Honor Points"]                     = "Honor Points",
  ["Justice Points"]                   = "Justice Points",
  ["Valor Points"]                     = "Valor Points",
  ["Chef's Award"]                     = "Chef's Award",

  -- Profession & Skill names
  ["Alchemy"]        = "Alchemy",
  ["Alchemist"]      = "Alchemist",
  ["Archaeology"]    = "Archaeology",
  ["Blacksmithing"]  = "Blacksmithing",
  ["Blacksmith"]     = "Blacksmith",
  ["Cooking"]        = "Cooking",
  ["Cook"]           = "Cook",
  ["Enchanting"]     = "Enchanting",
  ["Enchanter"]      = "Enchanter",
  ["Engineering"]    = "Engineering",
  ["Engineer"]       = "Engineer",
  ["First Aid"]      = "First Aid",
  ["Fishing"]        = "Fishing",
  ["Herbalism"]      = "Herbalism",
  ["Herbalist"]      = "Herbalist",
  ["Inscription"]    = "Inscription",
  ["Scribe"]         = "Scribe",
  ["Jewelcrafting"]  = "Jewelcrafting",
  ["Jewelcrafter"]   = "Jewelcrafter",
  ["Leatherworking"] = "Leatherworking",
  ["Leatherworker"]  = "Leatherworker",
  ["Mining"]         = "Mining",
  ["Miner"]          = "Miner",
  ["Skinning"]       = "Skinning",
  ["Skinner"]        = "Skinner",
  ["Tailoring"]      = "Tailoring",
  ["Tailor"]         = "Tailor",
  ["Riding"]         = "Riding",
  
  -- Profession Level Name
  ["Apprentice"]               = "Apprentice",
  ["Journeyman"]               = "Journeyman",
  ["Expert"]                   = "Expert",
  ["Artisan"]                  = "Artisan",
  ["Master"]                   = "Master",
  ["Grand Master"]             = "Grand Master",
  ["Illustrious Grand Master"] = "Illustrious Grand Master",
}

setmetatable(ProGuideLocals, {__index=function(t,k) rawset(t, k, k); return k; end})