﻿----------------------------------------------------------------------------------
-- Addon:         ProGuide - Guide Handler UI
-- Author:        Claus Gade Pedersen - Satisfyme
-- File:          Slash_Commands.lua
-- Description:   Manage all Pro Guide relates slash commands.
----------------------------------------------------------------------------------
-- Addon version: 10
-- File Revision: 9
-- Last Edit:     2011-09-11T19:47:48Z
-- Last Edit By:  satisfyme
----------------------------------------------------------------------------------

SLASH_PGITEMID1="/itemid"
function SlashCmdList.PGITEMID(msg, editbox)
  local _,link=GetItemInfo(msg)
  if link then
    ChatFrame1:AddMessage(msg .. " has item ID: " .. link:match("item:(%d+):"));
  end
end

SLASH_PGHEART1="/heartloc"
SLASH_PGHEART2="/hloc"
function SlashCmdList.PGHEART(msg, editbox)
  print(GetBindLocation())
end

-- this is for test and will be removed later
SLASH_PGGUIDE1="/proguide"
function SlashCmdList.PGGUIDE(msg, editbox)
  print("Num Data: " .. ProGuide:tnum(ProGuide.Data))
  print("Num Guides: " .. ProGuide:tnum(ProGuide.Guides))
  print("Part: " .. ProGuide.db.char.Guides["Tailoring 1-525"].ActivePart .. " - Step: " .. ProGuide.db.char.Guides["Tailoring 1-525"].ActiveStep)

-- /run ProGuide:LoadGuide(ProGuide.Obj[1], ProGuide.db.char.ObjFrames[1].Guide)
-- /run ProGuide:PrintContentElements()

  ProGuide:RemoveContent(ProGuide.Obj[1], "all")
  ProGuide:PrintContentElements()
  --ProGuideAddContentItem(ProGuide.Obj1, 16925, 1)
  --print(ProGuide.Obj1.Content[2].frame.Image:GetWidth(), ProGuide.Obj1.Content[2].frame.Image:GetHeight())
  --ProGuideAddContentImage(ProGuide.Obj1, "Interface\\AddOns\\TourGuide-Tradeskill\\Maps\\H_Herbalism_Durotar.tga", 150, 100, nil, 0.75, nil, nil)
  --print(GetRealZoneText())
  --print(GetSubZoneText())
end